libnsl-1.3.0

Introduction to libnsl

The libnsl package contains the public client interface for NIS(YP) and NIS+. It replaces the NIS library that used to be in glibc.

This package is known to build and work properly using an LFS-10.1 platform.

Package Information

libnsl Dependencies

Required

rpcsvc-proto-1.4.2 and libtirpc-1.3.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libnsl

Installation of libnsl

Install libnsl by running the following commands:

autoreconf -fi                &&
./configure --sysconfdir=/etc &&
make

This package does not come with a test suite.

Now, as the root user:

make install

Contents

Installed Programs: None
Installed Libraries: libnsl.{a,so}
Installed Directories: None

Short Descriptions

libnsl.{a,so}

provides the NIS (YP) API functions required by other programs

Last updated on Tue Jun 1 16:30:37 2021 -